﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using HeuristicLab.Core;
using HeuristicLab.Data;
using HeuristicLab.Parameters;
using HeuristicLab.Persistence;

namespace HeuristicLab.Optimization {
  [StorableType("6234c34c-744b-4969-9899-01e2bfbc7564")]
  public interface IDiscreteDoubleMatrixModifier : IOperator {
    ILookupParameter<DoubleMatrix> ValueParameter { get; }
    ILookupParameter<DoubleValue> ScaleParameter { get; }
    ConstrainedValueParameter<IDiscreteDoubleValueModifier> ScalingOperatorParameter { get; }
    IValueLookupParameter<DoubleValue> StartValueParameter { get; }
    IValueLookupParameter<DoubleValue> EndValueParameter { get; }
    ILookupParameter<IntValue> IndexParameter { get; }
    IValueLookupParameter<IntValue> StartIndexParameter { get; }
    IValueLookupParameter<IntValue> EndIndexParameter { get; }
  }
}
